Mark a submission as read
POST
/v1/forms/{form}/submissions/{submission}/mark-read
const url = 'https://api.submeto.com/v1/forms/example/submissions/example/mark-read';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.submeto.com/v1/forms/example/submissions/example/mark-read \ --header 'Authorization: Bearer <token>'Marks a single submission as read. Requires the submissions:mark_read
scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
submission
required
string
The submission ID.
Responses
Section titled “Responses”Marked as read
Media typeapplication/json
object
data
object
requested_count
integer
marked_read_count
integer
already_read_count
integer
request_id
string
Example
{ "data": { "requested_count": 1, "marked_read_count": 1, "already_read_count": 0 }, "request_id": "REQUEST_ID"}Not found or not granted
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "resource_not_found", "message": "Resource not found.", "details": {} }, "request_id": "REQUEST_ID"}